### Method

# EBackend CacheColumnValues take

since: 3.26

#### Declaration [src]

    void
    e_cache_column_values_take (
      ECacheColumnValues* other_columns,
      gchar* name,
      gchar* value
    )

#### Description [src]

Puts the `value` for column `name`. If contains a value for the same column, then it is replaced. This creates takes ownership of both the `name` and the `value`.

Available since: 3.26

#### Parameters

`name`

  Type: `gchar*`

  A column name.

  The instance takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `gchar*`

  A column value.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.